﻿/// <reference name="MicrosoftAjax.js" />

Type.registerNamespace('Core.Web.Admin');

Core.Web.Admin.AddProductImage = function(saveToMediaLibraryID, categoryFieldID) {

  this.saveToMediaLibrary = $get(saveToMediaLibraryID);
  
  this.categoryField = $get(categoryFieldID);
  
  this.init();
}

Core.Web.Admin.AddProductImage.prototype = {
  
  init : function() {
    if (this.saveToMediaLibrary) {
      this.categoryField.disabled = !this.saveToMediaLibrary.checked;
      $addHandler(this.saveToMediaLibrary, 'click', Function.createDelegate(this, this.saveToMediaLibraryChangeHandler));
    }
  },
  
  saveToMediaLibraryChangeHandler : function() {
    this.categoryField.disabled = !this.saveToMediaLibrary.checked;
  }  
}

Core.Web.Admin.AddProductImage.registerClass('Core.Web.Admin.AddProductImage');

Core.Web.Admin.ScrollableTab = function(scrollableElement) {

  debugger;

  this.scrollableElement = $(scrollableElement);
  
  this.heightDifference = 50;
  
  this.init();
};

Core.Web.Admin.ScrollableTab.prototype = {
  
  init : function() {
    this.setHeight();
    $addHandler(window, 'resize', Function.createDelegate(this, this.windowResizeListener));
  },
  
  windowResizeListener : function() {
    this.setHeight();
  },
  
  setHeight : function() {
    if (this.scrollableElement && 
        this.scrollableElement.parentNode &&
        this.scrollableElement.parentNode.parentNode &&
        this.scrollableElement.parentNode.parentNode.parentNode) {      
      height = this.scrollableElement.parentNode.parentNode.parentNode.clientHeight - this.heightDifference;
      if (height > 0) {
        this.scrollableElement.style.height = height + 'px';
      }
    }
  } 
};

Core.Web.Admin.ScrollableTab.registerClass('Core.Web.Admin.ScrollableTab');