﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProductEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.ProductPages.ProductEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/ProductEditor.ascx" TagName="ProductEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductAttributesEditor.ascx" TagName="ProductAttributesEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductCategoriesEditor.ascx" TagName="ProductCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/RelatedProductsEditor.ascx" TagName="RelatedProducts" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ProductEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server" />
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:ProductTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:ProductTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:ProductEditor ID="ProductEditor" runat="server" />
                                                    </td>
                                                </tr>
                                            </tbody> 
                                        </table> 
                                        </innercontent>
                                    </Tab:ProductTabItem>
                                    <Tab:ProductTabItem runat="server" ID="AttributesTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:ProductAttributesEditor runat="server" ID="RelatedAttributes" />
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        </innercontent>
                                    </Tab:ProductTabItem>
                                    <Tab:ProductTabItem runat="server" ID="RelatedCategoriesTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:ProductCategories ID="ProductCategories" runat="server" />
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        </innercontent>
                                    </Tab:ProductTabItem>
                                    <Tab:ProductTabItem runat="server" ID="RelatedProductsTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:RelatedProducts ID="RelatedProducts" runat="server" />
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        </innercontent>
                                    </Tab:ProductTabItem>
                                </Items>
                            </Tab:ProductTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>