﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Authorization.aspx.cs" Inherits="Core.Web.Authorization" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Objects.Utility"%>

<%@ Register Src="~/Controls/Customers/CustomerDetailsForm.ascx" TagName="CustomerDetailsForm" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Basket/GoogleCheckoutButton.ascx" TagPrefix="uc" TagName="GoogleCheckoutButton" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
	  <div class="AreaContent">
		  <h2><%=UI.Current.AuthorizationPageTitle%></h2>
		  <div class="SysInfo">
			  <p><%=String.Format(UI.Current.LoginMessageTemplate, "loginLink")%></p>
			  <%if (IsCheckoutWithoutRegistrationEnabled) { %>
			    <p><%=String.Format(UI.Current.CheckoutWithoutRegistrationTemplate, UrlBuilder.Checkout)%></p>
			  <%} %>
			  
			  <script type="text/javascript">
			    
			    $('#loginLink').click(function() {
			      $('.login-field').focus();
			    });
			  			    
			    $('#registerLink').click(function() {
			      $('.ExpandedData').show();
			    });
			  
			  </script>
		  </div>
	    <div class="FormControl FormControlIndent-B">
	      <uc:GoogleCheckoutButton runat="server" ID="GCheckoutButton" OnClick="GoogleCheckoutHandler" />
	    </div>
	    <div style="clear:both"></div>			  
	  </div>
  </div>
  <div class="Area">
    <div class="FormSection">
      <Ajax:UpdatePanel runat="server" ID="DetailsUpdatePanel">
        <ContentTemplate>          
          <uc:CustomerDetailsForm runat="server" ID="DetailsForm" IsExpanded="false"/>
	        <div class="FormControl FormControlIndent-B">
		        <ul class="Groups">
			        <li class="GroupA">
				        <ul>
					        <li><Front:SpanButton runat="server" OnClick="SaveHandler" ID="SaveButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
					        <li><Front:SpanButton runat="server" OnClick="ResetFields" ID="ResetButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-B" /></li>
				        </ul>
			        </li>
			        <li class="GroupB">
				        <ul>
					        <li>
						        <p class="Note"><%=UI.Current.MandatoryFieldsDisclaimer%></p>
					        </li>
				        </ul>
			        </li>
		        </ul>
	        </div>                
        </ContentTemplate>
      </Ajax:UpdatePanel>	          
    </div>
  </div>
</asp:Content>
