﻿<%@ Import Namespace="Core.DBO.Static" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerDetailsForm.ascx.cs" Inherits="Core.Web.Controls.Customers.CustomerDetailsForm" %>
<%@ Register Src="~/Controls/Common/CollapsableBlock.ascx" TagPrefix="uc" TagName="CollapsableBlock" %>
<%@ Register Src="~/Controls/Customers/AddressListEditor.ascx" TagPrefix="uc" TagName="AddressListEditor" %>
<%@ Register Src="~/Controls/Customers/AddressTextEditor.ascx" TagPrefix="uc" TagName="AddressTextEditor" %>
<%@ Register Src="~/Controls/Customers/DeliveryAddressEditor.ascx" TagPrefix="uc" TagName="DeliveryAddressEditor" %>
<Front:PopupValidationSummary runat="server" ID="PopupSummary" SeeInContainers="true" />
<uc:CollapsableBlock runat="server" ID="PersonalDetailsBlock">
  <Content>
    <div class="FormSection">
      <div class="GroupedForm">
        <ul class="ColBase">
          <li class="ColA">
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" RenderAsterix="true" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:DropDownList runat="server" ID="TitleField" Template-PropertyName="CustomerProfile.Title" CssClass="select-176" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="FirstNameFieldView" InputToDisplayID="FirstNameField" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" RenderAsterix="true" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="FirstNameField" Template-PropertyName="CustomerProfile.FirstName" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="LastNameFieldView" InputToDisplayID="LastNameField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="LastNameField" Template-PropertyName="CustomerProfile.LastName" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="PhoneFieldView" InputToDisplayID="PhoneField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="PhoneField" Template-PropertyName="CustomerProfile.Phone" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="MobileFieldView" InputToDisplayID="MobileField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="MobileField" Template-PropertyName="CustomerProfile.Mobile" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="FaxFieldView" InputToDisplayID="FaxField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="FaxField" Template-PropertyName="CustomerProfile.Fax" />
                  </span>
                </dd>
              </dl>
            </div>
          </li>
          <li class="ColB">
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="EmailField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="EmailField" Template-PropertyName="Account.Email" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="WebsiteFieldView" InputToDisplayID="WebsiteField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="WebsiteField" Template-PropertyName="CustomerProfile.Website" />
                  </span>
                </dd>
              </dl>
            </div>
            <%if (!IsUseEmailAsLoginEnabled)
              { %>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="LoginFieldView" InputToDisplayID="LoginField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="LoginField" Template-PropertyName="Account.Login" />
                  </span>
                </dd>
              </dl>
            </div>
            <%} %>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="PasswordFieldView" InputToDisplayID="PasswordField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="PasswordField" Template-PropertyName="Account.Password" TextMode="Password" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="ConfirmPasswordFieldView" InputToDisplayID="ConfirmPasswordField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" NoWrap="false" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="ConfirmPasswordField" Template-PropertyName="Account.ConfirmPassword" TextMode="Password" />
                  </span>
                </dd>
              </dl>
            </div>
            <% if (IsAdvertisementSourceEnabled && Entity != null && Entity.IsNew)
               { %>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="AdvertisementSourceFieldView" InputToDisplayID="AdvertisementSourceField" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" RenderAsterix="true" NoWrap="false" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:DropDownList runat="server" ID="AdvertisementSourceField" Template-PropertyName="AdvertisementSource" CssClass="select-176" />
                  </span>
                </dd>
              </dl>
            </div>
            <%} %>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="CurrencyFieldView" InputToDisplayID="CurrencyField" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" RenderAsterix="true" NoWrap="false" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:DropDownList runat="server" ID="CurrencyField" Template-PropertyName="CustomerProfile.Currency" CssClass="select-176" />
                  </span>
                </dd>
              </dl>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </Content>
</uc:CollapsableBlock>
<uc:CollapsableBlock runat="server" ID="BiilingAddressBlock">
  <Content>
    <div class="FormSection">
      <div class="GroupedForm">
        <ul class="ColBase">
          <li class="ColA">
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="PostcodeFieldView" InputToDisplayID="PostcodeField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="PostcodeField" Template-PropertyName="CustomerProfile.Postcode" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="CompanyFieldView" InputToDisplayID="CompanyField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:TextBox runat="server" ID="CompanyField" Template-PropertyName="CustomerProfile.Company" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="AddressFieldView" InputToDisplayID="AddressField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:AddressLineTextBox runat="server" ID="AddressField" Template-PropertyName="CustomerProfile.Address" />
                  </span>
                </dd>
              </dl>
            </div>
            <div class="FormRow">
              <dl>
                <dt>
                  <UI:FieldView runat="server" ID="Address2FieldView" InputToDisplayID="Address2Field" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
                </dt>
                <dd>
                  <span class="InputLine InputLineSize-C">
                    <UI:AddressLineTextBox runat="server" ID="Address2Field" Template-PropertyName="CustomerProfile.Address2" />
                  </span>
                </dd>
              </dl>
            </div>
          </li>
          <li class="ColB">
            <uc:AddressTextEditor ID="AddressFields" runat="server" Template-PropertyName="CustomerProfile.Town" />
            <uc:AddressListEditor ID="AddressLists" runat="server" Template-PropertyName="CustomerProfile.Town" />
          </li>
        </ul>
      </div>
    </div>
  </Content>
</uc:CollapsableBlock>
<uc:CollapsableBlock runat="server" ID="DeliveryAddressBlock">
  <Content>
    <uc:DeliveryAddressEditor runat="server" ID="DeliveryAddressEditor" />
  </Content>
</uc:CollapsableBlock>
